using System;
using Server;
using Server.Network;
using Server.Items;

namespace Server.Items
{
   public class KingAragonsWreckerOfTheDamned : BaseSword
   {


	public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.Disarm; } }
	public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.ParalyzingBlow; } }


      public override int InitMinHits{ get{ return 255; } }
	  public override int InitMaxHits{ get{ return 255; } }


	  public override int AosMinDamage{ get{ return 15; } }
      public override int AosMaxDamage{ get{ return 20; } }
      public override int AosSpeed{ get{ return 50; } }

      public override int OldMinDamage{ get{ return 10; } }
      public override int OldMaxDamage{ get{ return 20; } }
      public override int OldSpeed{ get{ return 50; } }

      public override int DefMaxRange{ get{return 10; } }

      public override int DefHitSound{ get{ return 0x237; } }
	  public override int DefMissSound{ get{ return 0x23A; } }


      [Constructable]
      public KingAragonsWreckerOfTheDamned () : base( 0x26CF )
      {
         Name = "King AragonS Wrecker Of The Damned";
         Weight = 1.0;
         Hue = 1283;

	     AccuracyLevel = WeaponAccuracyLevel.Supremely;
         DurabilityLevel = WeaponDurabilityLevel.Indestructible;
         Quality = WeaponQuality.Exceptional;

	     //Resource = CraftResource.Valorite;

	     Attributes.AttackChance = 80;
		 Attributes.Luck = 75;

		 Attributes.RegenMana = 10;
		 Attributes.RegenHits = 10;
		 Attributes.RegenStam = 10;

		 //Attributes.BonusDex = 20;
		 Attributes.BonusStr = 10;
		 Attributes.BonusInt = 10;

		 Attributes.SpellChanneling = 1;
      	 Attributes.WeaponDamage = 90;

		 //AosWeaponAttribute

		 WeaponAttributes.HitLeechMana = 80;
		 WeaponAttributes.HitLeechHits = 80;
    	 WeaponAttributes.HitLeechStam = 80;

		 WeaponAttributes.HitHarm = 75;

		 WeaponAttributes.HitLowerAttack = 90;
		 WeaponAttributes.HitLowerDefend = 90;

         LootType = LootType.Blessed;
      }


//public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
	//	{
		//	phys = 25;
		//	nrgy = 25;
		//	pois = 25;
		//	fire = 25;
		//	cold = 25;
		//}

      public KingAragonsWreckerOfTheDamned( Serial serial ) : base( serial )
      {
      }

      public override void Serialize( GenericWriter writer )
      {
         base.Serialize( writer );

         writer.Write( (int) 0 ); // version
      }

      public override void Deserialize( GenericReader reader )
      {
         base.Deserialize( reader );

         int version = reader.ReadInt();
      }
   }
}
