using System; 
using Server.Items; 

namespace Server.Items 
{ 
   [FlipableAttribute( 0x1415, 0x1416 )] 
   public class kingaragonsChest : BaseArmor 
   { 
      public override int ArtifactRarity{ get{ return 79; } }

      public override int BasePhysicalResistance{ get{ return 50; } } 
      public override int BaseFireResistance{ get{ return 50; } } 
      public override int BaseColdResistance{ get{ return 35; } } 
      public override int BasePoisonResistance{ get{ return 35; } } 
      public override int BaseEnergyResistance{ get{ return 35; } } 

      public override int InitMinHits{ get{ return 11000; } } 
      public override int InitMaxHits{ get{ return 11000; } } 

      public override int AosStrReq{ get{ return 70; } } 
      public override int OldStrReq{ get{ return 30; } } 

      public override int OldDexBonus{ get{ return 10; } } 

      public override int ArmorBase{ get{ return 100; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

      [Constructable] 
      public kingaragonsChest() : base( 0x2641 ) 
      { 
         Weight = 1.0; 
         Hue= 2944; 
         Name="King AragonS Chest"; 
         ArmorAttributes.MageArmor = 50; 
         Attributes.LowerRegCost = 50;
      	 Attributes.DefendChance = 50;
      	 Attributes.ReflectPhysical = 50;
      	 Attributes.AttackChance = 50;
        Attributes.SpellChanneling = 100;
        LootType = LootType.Blessed; 
      } 

  public override void OnDoubleClick( Mobile from ) 
      { 
         if ( Parent != from ) 
         { 
            from.SendMessage( "You must wear this armor to transform"); 
         } 
         else if ( from.Mounted ) 
         { 
            from.SendMessage( "You Cannot Transform While Mounted"); 
         } 
         else if ( from.TithingPoints < 1000 ) 
         { 
            from.SendMessage( "You Need At Least 1000 Tithing Points to Transform" ); 
         } 
         else 
         { 
            if ( from.BodyValue == 0x190 || from.BodyValue == 0x191 ) 
            { 
               from.TithingPoints = ( from.TithingPoints - 1000 ); 
               from.BodyValue = 175; 
               from.HueMod = 0x0; 
               from.PlaySound( 705 ); 
               from.NameMod = "Kings Royal Guard"; 
               from.VirtualArmorMod = 150; 
              Effects.SendLocationParticles( EffectItem.Create( from.Location, from.Map, EffectItem.DefaultDuration ), 0x376A, 1, 29, 0x47D, 2, 9962, 0 ); 
              Effects.SendLocationParticles( EffectItem.Create( new Point3D( from.X, from.Y, from.Z - 7 ), from.Map, EffectItem.DefaultDuration ), 0x37C4, 1, 29, 0x47D, 2, 9502, 0 ); 
              from.AddToBackpack( new Antidote() ); 
            } 
            else 
            { 
               if (from.Female == true ) 
                { 
                  from.BodyValue = 0x191; 
                  from.PlaySound( 705 ); 
     from.NameMod = null; 
                  from.VirtualArmorMod = 0; 
                 Effects.SendLocationParticles( EffectItem.Create( from.Location, from.Map, EffectItem.DefaultDuration ), 0x376A, 1, 29, 0x47D, 2, 9962, 0 ); 
                 Effects.SendLocationParticles( EffectItem.Create( new Point3D( from.X, from.Y, from.Z - 7 ), from.Map, EffectItem.DefaultDuration ), 0x37C4, 1, 29, 0x47D, 2, 9502, 0 ); 
                } 
               else 
                { 
                  from.BodyValue = 0x190; 
                  from.PlaySound( 705 ); 
     from.NameMod = null; 
                  from.VirtualArmorMod = 0; 
                  from.HueMod = -1; 
                 Effects.SendLocationParticles( EffectItem.Create( from.Location, from.Map, EffectItem.DefaultDuration ), 0x376A, 1, 29, 0x47D, 2, 9962, 0 ); 
                 Effects.SendLocationParticles( EffectItem.Create( new Point3D( from.X, from.Y, from.Z - 7 ), from.Map, EffectItem.DefaultDuration ), 0x37C4, 1, 29, 0x47D, 2, 9502, 0 ); 
   } 
               } 
              } 
             } 
   public kingaragonsChest( Serial serial ) : base( serial ) 
      { 
      } 
       
      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 
       
      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 

         if ( Weight == 1.0 ) 
            Weight = 1.0; 
      } 
   } 
} 
// created on 01/30/2004 at 08:24 AM
