using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class KingSquallspeacemaker : BaseSword
	{
	       public override int ArtifactRarity{ get{ return 69; } }

        	public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }


		public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.ArmorIgnore; } }
		public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.InfectiousStrike; } }


                public override int DefHitSound{ get{ return 0x23C; } }
		public override int DefMissSound{ get{ return 0x238; } }

		public override SkillName DefSkill{ get{ return SkillName.Fencing; } }
		public override WeaponType DefType{ get{ return WeaponType.Piercing; } }
		public override WeaponAnimation DefAnimation{ get{ return WeaponAnimation.Pierce1H; } }

                public override int AosStrengthReq{ get{ return 60; } }
		public override int AosMinDamage{ get{ return 35; } }
		public override int AosMaxDamage{ get{ return 35; } }
		public override int AosSpeed{ get{ return 50; } }


		[Constructable]
		public KingSquallspeacemaker() : base( 0x1401 )
		{

                        Name = "King Squall's Peacemaker";
                        Hue = 1157;
                        Weight = 1.0;
			WeaponAttributes.HitLeechHits = 80;
			WeaponAttributes.HitLowerDefend = 50;
                        WeaponAttributes.HitLowerAttack = 50;
		 	WeaponAttributes.HitHarm = 50;
                        WeaponAttributes.HitLeechMana = 80;
                        WeaponAttributes.HitLeechStam = 80;
			Attributes.SpellChanneling = 1;
			Attributes.AttackChance = 60;
			//Attributes.WeaponDamage = 90;
			Attributes.RegenMana = 10;
		        Attributes.RegenHits = 10;
		        Attributes.RegenStam = 10;
			//Attributes.BonusDex = 20;
		        Attributes.BonusStr = 10;
		        Attributes.BonusInt = 10;
                        LootType = LootType.Blessed;

					}

		//public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		//{
		//	phys = 25;
		//	nrgy = 25;
		//	pois = 25;
		//	fire = 25;
		//	cold = 25;
		//}

		public KingSquallspeacemaker( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
