using System; 
using Server.Items; 
using System.Collections; 
using Server.Spells; 

namespace Server.Items 
{ 
   [FlipableAttribute( 0x1414, 0x1418 )] 
   public class kingaragonsGloves : BaseArmor 
   { 
      public override int ArtifactRarity{ get{ return 79; } }

      public override int BasePhysicalResistance{ get{ return 25; } } 
      public override int BaseFireResistance{ get{ return 25; } } 
      public override int BaseColdResistance{ get{ return 25; } } 
      public override int BasePoisonResistance{ get{ return 25; } } 
      public override int BaseEnergyResistance{ get{ return 25; } } 

      public override int InitMinHits{ get{ return 1000; } } 
      public override int InitMaxHits{ get{ return 1000; } } 

      public override int AosStrReq{ get{ return 70; } } 
      public override int OldStrReq{ get{ return 30; } } 

      public override int OldDexBonus{ get{ return -2; } } 

      public override int ArmorBase{ get{ return 100; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

      [Constructable] 
      public kingaragonsGloves() : base( 0x2643 ) 
      { 
         Weight = 1.0; 
         Hue= 2944; 
         Name="King AragonS Gloves"; 
         Attributes.ReflectPhysical = 50;		 
	     Attributes.RegenMana = 25;
		 Attributes.RegenHits = 25;
		 ArmorAttributes.MageArmor = 50;
		 Attributes.DefendChance = 50;
      	     	 Attributes.SpellChanneling = 100;
		 LootType = LootType.Blessed; 
      } 

      public kingaragonsGloves( Serial serial ) : base( serial ) 
      { 
      
      } 
    
      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 
       
      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 

         if ( Weight == 1.0 ) 
            Weight = 2.0; 
      } 
   } 
}// created on 10/21/2003 at 11:31 AM
