using System; 
using System.Collections; 
using Server; 
using Server.Gumps; 
using Server.Mobiles; 
using Server.ContextMenus; 

namespace Server.Items 
{ 
   [FlipableAttribute( 0x1414, 0x1418 )] 
   public class kingaragonsHelm : BaseArmor
   { 
      public override int ArtifactRarity{ get{ return 79; } }

      public override int BasePhysicalResistance{ get{ return 25; } } 
      public override int BaseFireResistance{ get{ return 25; } } 
      public override int BaseColdResistance{ get{ return 25; } } 
      public override int BasePoisonResistance{ get{ return 25; } } 
      public override int BaseEnergyResistance{ get{ return 25; } } 

      public override int InitMinHits{ get{ return 11000; } } 
      public override int InitMaxHits{ get{ return 11000; } } 

      public override int AosStrReq{ get{ return 70; } } 
      public override int OldStrReq{ get{ return 30; } } 

      public override int OldDexBonus{ get{ return -2; } } 

      public override int ArmorBase{ get{ return 40; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

      [Constructable] 
      public kingaragonsHelm() : base( 0x140E ) 
      { 
         Weight = 1.0; 
         Hue= 2944; 
         Name="King AragonS Helmet"; 
      	 ArmorAttributes.MageArmor = 50; 
         Attributes.LowerRegCost = 50;
      	 Attributes.DefendChance = 50;
      	 Attributes.ReflectPhysical = 50;
      	 Attributes.SpellChanneling = 100;
         LootType = LootType.Blessed; 
      } 

      public kingaragonsHelm( Serial serial ) : base( serial ) 
      { 
      } 


      public override void OnDoubleClick( Mobile from ) 
      { 
         from.SendGump( new TithingGump( from, 0 ) ); 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 
       
      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 

         if ( Weight == 1.0 ) 
            Weight = 2.0; 
      } 
   } 
}// created on 10/21/2003 at 11:33 AM
